<dx-scroll-view height='100%'>
    <dx-form [colCount]="1" [formData]='monthlyData' [showValidationSummary]="false" validationGroup="monthlyValidation" labelLocation="left">
        <dxi-item [visible]='!monthlyData.id' [label]="{text: ds.lg.format('ENTITY')}" dataField="g_entityId" editorType="dxSelectBox"
            [editorOptions]="{dataSource: dspEntities, valueExpr: 'id', displayExpr: 'name', searchEnabled: true, onValueChanged: onEntityChange,
            disabled: monthlyData.id }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>
        <dxi-item [visible]='!monthlyData.id' [label]="{text: ds.lg.format('WORKSTATION')}" dataField="workCenterId" editorType="dxSelectBox"
            [editorOptions]="{ dataSource: dspWorkCenter, valueExpr: 'id', displayExpr: 'name', onInitialized: onWorkCenterInit, onValueChanged: onWorkCenterChange, searchEnabled: true, disabled: !monthlyData.g_entityId }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>

        <dxi-item [visible]='!monthlyData.id' [label]="{text: ds.lg.format('WASTE CODE')}" dataField="wasteTypeId" editorType="dxSelectBox"
            [editorOptions]="{ dataSource: dsWasteType, valueExpr: 'id', displayExpr: 'code', onValueChanged: onWasteChange, onInitialized: onWasteCodeInit, searchEnabled: true, disabled: !monthlyData.workCenterId  }">
            <dxi-validation-rule type="required"></dxi-validation-rule>
        </dxi-item>

        <dxi-item [visible]='monthlyData.id !== undefined' [label]="{text: ds.lg.format('ENTITY')}" dataField="company" editorType="dxTextBox"
            [editorOptions]="{readOnly: true }"></dxi-item>
        <dxi-item [visible]='monthlyData.id !== undefined' [label]="{text: ds.lg.format('WORKSTATION')}" dataField="workCenter"
            editorType="dxTextBox" [editorOptions]="{readOnly: true }"></dxi-item>
        <dxi-item [visible]='monthlyData.id !== undefined' [label]="{text: ds.lg.format('WASTE CODE')}" dataField="wasteCode"
            editorType="dxTextBox" [editorOptions]="{readOnly: true }"></dxi-item>

        <dxi-item itemType="group" [colSpan]="2" [colCount]='2'>
            <dxi-item [label]="{text: ds.lg.format('WASTE TYPE')}" dataField="hazardName" editorType="dxTextBox" [editorOptions]="{readOnly: true }"></dxi-item>
            <dxi-item [label]="{text: ds.lg.format('ADJUSTED GENERATE') + ' (tone)'}" dataField="adjustment" editorType="dxNumberBox"
                [editorOptions]="{showClearButton: true}">
                <dxi-validation-rule type='range' [min]='0' [ignoreEmptyValue]='true' message='Nu se pot introduce valori negative'></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: ds.lg.format('YEAR')}" dataField="year" editorType="dxNumberBox" [editorOptions]="{ readOnly: monthlyData.id !== undefined, min: year.min, max: year.current }">
                <dxi-validation-rule type="required"></dxi-validation-rule>
            </dxi-item>
            <dxi-item [label]="{text: ds.lg.format('MONTH')}" dataField="month" editorType="dxSelectBox" [editorOptions]="{ dataSource: dsMonths, valueExpr: 'id', displayExpr: 'name', disabled: monthlyData.id !== undefined}"></dxi-item>
        </dxi-item>
        <!-- <dxi-item itemType='empty'></dxi-item> -->
        <dxi-item [label]="{text: ds.lg.format('WASTE NAME')}" dataField="wt_name" editorType="dxTextBox" [editorOptions]="{readOnly: true }"></dxi-item>
    </dx-form>
</dx-scroll-view>